
      program com_test_w

c     Prints CoM values for all satellites and system configurations 
c     matching input criteria provided interactively

      implicit none
       
      character sat*1
      character(len=11) version
      integer i, istn, iy, doy, wave, 
     .        ik_lg1, ik_lg2, ik_et1, ik_las, ik_str, ik_aji, ierr
      double precision cm_lg1(20), cm_lg2(20), cm_et1(20), 
     .                 cm_las(20), cm_str(20), cm_aji(20)

      call com_table_version(10, 'l', version)
      print *, 'LG1 table version: ', version
      call com_table_version(10, 'm', version)
      print *, 'LG2 table version: ', version
      call com_table_version(10, 'e', version)
      print *, 'ET1 table version: ', version
      call com_table_version(10, 's', version)
      print *, 'LAS table version: ', version
      call com_table_version(10, 'r', version)
      print *, 'STR table version: ', version
      call com_table_version(10, 'a', version)
      print *, 'AJI table version: ', version
      
      do
         print *
         print *, 'sta year doy wave'
         read(*,*) istn, iy, doy, wave
         
         call com6(10, istn, iy, doy, 'l', wave, ik_lg1, cm_lg1, ierr)
            if (ierr == 1) call print_error_msg('LAGEOS-1')
         call com6(10, istn, iy, doy, 'm', wave, ik_lg2, cm_lg2, ierr)
            if (ierr == 1) call print_error_msg('LAGEOS-2')
         call com6(10, istn, iy, doy, 'e', wave, ik_et1, cm_et1, ierr)
            if (ierr == 1) call print_error_msg('Etalon')
         call com6(10, istn, iy, doy, 's', wave, ik_las, cm_las, ierr)
            if (ierr == 1) call print_error_msg('LARES')
         call com6(10, istn, iy, doy, 'r', wave, ik_str, cm_str, ierr)
            if (ierr == 1) call print_error_msg('Starlette')
         call com6(10, istn, iy, doy, 'a', wave, ik_aji, cm_aji, ierr)
            if (ierr == 1) call print_error_msg('Ajisai')

         print *, '  LG1    LG2     ET    LAS    STR    AJI'

         do i=1,max(ik_lg1, ik_lg2, ik_et1, ik_las, ik_str, ik_aji)
            print '(6(f7.1))', cm_lg1(i), cm_lg2(i), cm_et1(i), 
     .                         cm_las(i), cm_str(i), cm_aji(i)
         end do
      enddo
      
      end program

      
      subroutine print_error_msg(sat)
         implicit none
         character(len=*) sat
         print '("Error retrieving CoM,", a10, " default used!")', sat
      end subroutine
